ENameSelectorDialog
3
LIBEDATASERVERUI Library

# ENameSelectorDialog

## Synopsis

                        ENameSelectorDialog;
    ENameSelectorDialog * e_name_selector_dialog_new        (void);
    ENameSelectorModel * e_name_selector_dialog_peek_model  (ENameSelectorDialog *name_selector_dialog);
    void                e_name_selector_dialog_set_model    (ENameSelectorDialog *name_selector_dialog,
                                                             ENameSelectorModel *model);
    void                e_name_selector_dialog_set_destination_index
                                                            (ENameSelectorDialog *name_selector_dialog,
                                                             guint index);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----GtkDialog
                                                 +----ENameSelectorDialog

## Implemented Interfaces

ENameSelectorDialog implements AtkImplementorIface and GtkBuildable.

## Description

## Details

### ENameSelectorDialog

    typedef struct _ENameSelectorDialog ENameSelectorDialog;

### e_name_selector_dialog_new ()

    ENameSelectorDialog * e_name_selector_dialog_new        (void);

Creates a new ENameSelectorDialog.

Returns :

  A new ENameSelectorDialog.

### e_name_selector_dialog_peek_model ()

    ENameSelectorModel * e_name_selector_dialog_peek_model  (ENameSelectorDialog *name_selector_dialog);

Gets the ENameSelectorModel used by `name_selector_model`.

`name_selector_dialog` :

  an ENameSelectorDialog

Returns :

  The ENameSelectorModel being used.

### e_name_selector_dialog_set_model ()

    void                e_name_selector_dialog_set_model    (ENameSelectorDialog *name_selector_dialog,
                                                             ENameSelectorModel *model);

Sets the model being used by `name_selector_dialog` to `model`.

`name_selector_dialog` :

  an ENameSelectorDialog

`model` :

  an ENameSelectorModel

### e_name_selector_dialog_set_destination_index ()

    void                e_name_selector_dialog_set_destination_index
                                                            (ENameSelectorDialog *name_selector_dialog,
                                                             guint index);

Sets the index number of the destination section.

`name_selector_dialog` :

  an ENameSelectorDialog

`index` :

  index of the destination section, starting from 0.